var mysql = require('mysql'),
    config = require('./mysqlConfig')


var connection = module.exports = function(){};

connection.pool = function()
{
    var pool  = mysql.createPool({
        host     : config.host,
        user     : config.userId,
        password : config.password
    });

    return pool;
};

connection.invokeQuery = function(sqlQuery){

    var mysqlConnection = mysql.createConnection({
        host: config.host,
        user: config.userId,
        password: config.password,
        database: config.databaseName,
        catalog: config.catalog,
        port: config.port
    });

    mysqlConnection.connect();

    var rows = mysqlConnection.query({
        sql: sqlQuery,
        timeout: config.timeout
    });

    mysqlConnection.end();

    return rows;
};





