var express = require('express'),
    path = require('path');

var routes = require('./routes/index');
var app = express();


app.set('views', path.join(__dirname, 'views'));
app.set('view engine', 'jade');

app.use(express.static(path.join(__dirname, 'public')));

app.use('/', routes); //shorter way to do the below

module.exports = app;